%global pypi_name agate-sql
%global file_name agatesql
%global project_owner wireservice
%global github_name agate-sql
%global desc agate-sql adds SQL read/write support to agate. http://agate-sql.rtfd.org


Name:           python-%{pypi_name}
Version:        0.5.2
Release:        2%{?dist}
Summary:        Adds SQL read/write support to agate

License:        MIT
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://github.com/%{project_owner}/%{github_name}/archive/%{version}/%{github_name}-%{version}.tar.gz
BuildArch:      noarch

%description
%{desc}


%package -n     python2-%{pypi_name}
BuildRequires:  python2-devel
BuildRequires:  python2-nose >= 1.1.2
BuildRequires:  python2-sphinx >= 1.2.2
BuildRequires:  python2-sphinx_rtd_theme >= 0.1.6
BuildRequires:  python2-agate >= 1.5.0
BuildRequires:  python-sqlalchemy >= 1.0.8
Requires:       python2-agate >= 1.5.0
Requires:       python-sqlalchemy >= 1.0.8
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
%{desc}


%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-agate >= 1.5.0
BuildRequires:  python3-sqlalchemy >= 1.0.8
Requires:       python3-agate >= 1.5.0
Requires:       python3-sqlalchemy >= 1.0.8
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{desc}


%package -n    python-%{pypi_name}-doc
Summary:       %{summary}
BuildArch:     noarch

%description -n python-%{pypi_name}-doc
%{desc}

Documentation package.


%prep
%setup -qn %{github_name}-%{version}
# Remove shebang on non executable scripts
sed -i '1{\@^#!/usr/bin/env python@d}' agatesql/*.py


%build
%py2_build
%py3_build

# Build documentation
pushd docs
    make html
    rm -f _build/html/.buildinfo
popd


%install
%py3_install
%py2_install


%check
nosetests-%{python2_version} tests -v
nosetests-%{python3_version} tests -v


%files -n python2-%{pypi_name}
%doc README.rst AUTHORS.rst CHANGELOG.rst
%license COPYING
%{python2_sitelib}/agate_sql-%{version}-py%{python2_version}.egg-info/
%{python2_sitelib}/%{file_name}/


%files -n python3-%{pypi_name}
%doc README.rst AUTHORS.rst CHANGELOG.rst
%license COPYING
%{python3_sitelib}/agate_sql-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{file_name}/


%files -n python-%{pypi_name}-doc
%license COPYING
%doc README.rst AUTHORS.rst CHANGELOG.rst docs/_build/


%changelog
* Wed Oct 04 2017 Julien Enselme <jujens@jujens.eu> - 0.5.2-2
- Fetch sources on github with tag instead of commit

* Mon Oct 02 2017 Julien Enselme <jujens@jujens.eu> - 0.5.2-1
- Update to 0.5.2
- Fix minor SPEC issues

* Sun Mar 12 2017 Julien Enselme <jujens@jujens.eu> - 0.5.1-1
- Inital package
